# IceBox::Service

## Overview

### local interface Service

An application service managed by a ServiceManager.

## Operations

### void start(string name, ::Ice::Communicator communicator, ::Ice::StringSeq args)

Start the service. The given communicator is created by the ServiceManager for use by the service. This communicator may also be used by other services, depending on the service configuration.

The ServiceManager owns this communicator, and is responsible for destroying it.

#### Parameters

name
  The service's name, as determined by the configuration.
communicator
  A communicator for use by the service.
args
  The service arguments that were not converted into properties.

#### Exceptions

FailureException
  Raised if start failed.

### void stop()

Stop the service.